/*******************************************************************************
 *    File Name : test/thread_test.cpp
 * 
 *       Author : Henry He
 * Created Time : Fri 23 Oct 2009 10:55:14 AM CST
 *  Description : 
 ******************************************************************************/


/*******************************************************************************
 * Desc : Includes Files
 ******************************************************************************/
#include "src/common.h"


/*******************************************************************************
 * Desc : Macro Definations
 ******************************************************************************/


/*******************************************************************************
 * Desc : Type Definations
 ******************************************************************************/


/*******************************************************************************
 * Desc : File Variables
 ******************************************************************************/




/*******************************************************************************
 * Desc : Functions
 ******************************************************************************/



/******************************************************************************
 * Func : 
 * Desc : 
 * Args : 
 * Outs : 
 ******************************************************************************/
void * MyThreadFunc (HLH_Thread &zhtThread, void *pvParam)
{
  UINT32    nVal;
  HLH_Time  zhtTime;


  zhtThread.ThreadStarted ();

  nVal = (UINT32) pvParam;

  Printf ("Enter: nVal = %08X\n", nVal);

  do {

    zhtTime.SetTime (2, 0);
    HLH_Time::Wait (zhtTime);

    if ( zhtThread.IsStopping () ) {
      Printf ("Exit : nVal = %08X\n", nVal);
      return NULL;
    }

  } while (1);

}


/******************************************************************************
 * Func : 
 * Desc : 
 * Args : 
 * Outs : 
 ******************************************************************************/
int main ()
{
  HLH_Thread    zhtThread1;
  HLH_Thread    zhtThread2;

  zhtThread1.Start (MyThreadFunc, (void*)0x1234);
  zhtThread2.Start (MyThreadFunc, (void*)0x5678);

  HLH_Time::Wait ( HLH_Time (5, 0) );

  zhtThread1.Stop ();
  zhtThread2.Stop ();

  Printf ("Exit main\n");

  return 0;
}




